@use '../core';

._show-page {
  display: grid;
  grid-column-gap: var(--spacer-default);
  grid-template-areas:
    'panel'
    'content';
  grid-template-rows: auto auto;

  &__panel {
    padding: var(--spacer-default);
    background-color: var(--component-content-background);
    grid-area: panel;
  }

  &__content {
    padding: 0 var(--spacer-default);
    grid-area: content;
  }

  @include core.respond-to('medium-up') {
    grid-template-areas: 'panel content';
    grid-template-columns: 1fr 4fr;

    ._show-page__content {
      padding: var(--spacer-default);
    }
  }
}
